[hackers] [scc] [test] Improve chktest.sh || Roberto E. Vargas Caballero

From: <git_AT_suckless.org>
Date: Tue, 21 Jun 2016 08:32:08 +0200 (CEST)

commit c8d38c382b122f8f47b93ab7ed8ef95f971b8787
Author: Roberto E. Vargas Caballero <k0ga_AT_shike2.com>
AuthorDate: Tue Jun 21 08:29:02 2016 +0200
Commit: Roberto E. Vargas Caballero <k0ga_AT_shike2.com>
CommitDate: Tue Jun 21 08:31:31 2016 +0200

    [test] Improve chktest.sh

diff --git a/tests/README b/tests/README
index 1ce79cc..aca0de8 100644
--- a/tests/README
+++ b/tests/README
_AT_@ -1,3 +1,2 @@
 These tests are taken from https://github.com/andrewchambers/qc.
-All the credits for this test suite are for Andrew Chambers
-https://github.com/andrewchambers/qc.
+All the credits for this test suite are for Andrew Chambers.
diff --git a/tests/chktest.sh b/tests/chktest.sh
index 5eec1d0..a8a41ad 100755
--- a/tests/chktest.sh
+++ b/tests/chktest.sh
_AT_@ -1,20 +1,13 @@
 #!/bin/sh
 
+trap 'tabs -8' 0 1 2 3 15
 tabs 40
+ulimit -c 0
+
 for i in *.c
 do
+ printf "%s\t" $i
         (set -e
- rm -f a.out core
- scc -m qbe $i
- ./a.out
- ) 2>/dev/null
-
- if test $? -eq 0
- then
- st=[OK]
- else
- st=[FAIL]
- fi
- echo $i "\t" $st
+ scc -m qbe $i && ./a.out
+ ) 2>/dev/null && echo [OK] || echo [FAILED]
 done
-tabs -8
Received on Tue Jun 21 2016 - 08:32:08 CEST

This archive was generated by hypermail 2.3.0 : Tue Jun 21 2016 - 08:36:29 CEST